Help with Importing E-PM1 RAW Files to iPhoto

Discussion in 'Olympus Cameras' started by phatning, May 31, 2012.

  1. phatning

    phatning Mu-43 Rookie

    11
    May 27, 2012
    NYC
    Hi.

    I switched from E-P1 to E-PM1 yesterday. When I uploaded the photos to my Mac today (OSX v.10.6.8), I was surprised to learn that my iPhoto ('09 v.8.1.2) did not recognize the RAW files from E-PM1. I never had this issue with my E-P1 before.

    I checked Apple's support site and it says my OSX version supports E-PM1 RAW files. I checked if my OS and iPhoto were up-to-date, and they were. I even updated my E-PM1 to the latest firmware version. Nothing worked.

    I'm not sure if anyone of you Mac/iPhoto users have experienced similar problem and, if so, how you resolved it...any assistance would be much appreciated.

    Thanks in advance!
     
  2. Sammyboy

    Sammyboy m43 Pro

    Oct 26, 2010
    Steeler Country
    You need the latest version of iPhoto. ...... new this requires new that, it's a big freakin' snowball chasin' after your money.
     
  3. phatning

    phatning Mu-43 Rookie

    11
    May 27, 2012
    NYC
    No kidding... I was afraid that might be the case. I guess I have to either get used to Olympus Viewer 2 or consider getting Aperture 3.

    Thanks.
     
  4. David A

    David A Mu-43 All-Pro

    Sep 30, 2011
    Brisbane, Australia
    Do you have Apple's latest Camera Raw update? hat's a free update. You said in your original post that you had the latest version of iPhoto so if it and your OS version are up to date that only leaves the Camera Raw Update.

    And if money is an issue and you don't have the current version of iPhoto, the latest version comes much cheaper than Aperture.
     
  5. phatning

    phatning Mu-43 Rookie

    11
    May 27, 2012
    NYC
    Hi David, thanks for the suggestion.

    I looked into "Digital Camera RAW Compatibility Update" on Apple's support page and confirmed that E-PM1 is supported since Update 3.9 (they are on 3.13 now). Any 3.X update pretty much covers iPhoto '11 and Aperture 2 or 3 only.

    Sammyboy was right. Since I have iPhoto '09, I will have to buy iPhoto '11 (iLife '11 really) in order to get RAW support for E-PM1. :frown:
     
  6. David A

    David A Mu-43 All-Pro

    Sep 30, 2011
    Brisbane, Australia
    Ah, then you don't have the latest version of iPhoto.

    If that's all you want from the iLife suite, just buy iPhoto '11 from Apple's App Store on it's own. In fact I think basically you just buy the iLife apps individually that way these days anyway. It's not expensive.

    I use Aperture but I'm not certain I'd recommend it at present. LightRoom has picked up new features in the latest version which Aperture doesn't have and there's no word on what Apple intend doing with Aperture. I keep contemplating shifting to LightRoom but hanging off in the hope that Apple will announce a new version with the features I'd like because I don't want to go through the process of migrating my Aperture library to LightRoom if I can avoid it.
     
  7. phatning

    phatning Mu-43 Rookie

    11
    May 27, 2012
    NYC
    In the end I decided it's best I just upgrade to iPhoto '11. Everything works now.

    Thank you all for your inputs.